Subversion 1.3.0 released


#1

Hi,

Subversion 1.3.0 is released:

http://subversion.tigris.org/servlets/ReadMsg?list=users&msgNo=42941

All functions of Subversion can be used with Ruby from this
release.

There are some known bugs, little memory management
problem (you want to use GC.start) and no documents for Ruby
(API reference for C helps you) but please try this if you
interest in this. And could someone document this?

Known bugs and memory management problem will be fixed in

1.4.x. They are already fixed in trunk.

Download:

http://subversion.tigris.org/downloads/subversion-1.3.0.tar.gz
http://subversion.tigris.org/downloads/subversion-1.3.0.tar.bz2
http://subversion.tigris.org/downloads/subversion-1.3.0.zip

MD5:

a9e69910f648028a159f3886b254261b subversion-1.3.0.tar.bz2
0d91a7fe152d0373044c47c54deb2c9a subversion-1.3.0.tar.gz
7d93be2bc70d046ddd1301ae82b166de subversion-1.3.0.zip

SHA1:

0c5c4acfbd576da39cd60450f3e16b81c3d7c209 subversion-1.3.0.tar.bz2
98cb017844750d4ed26e2a811c581a644e3ad585 subversion-1.3.0.tar.gz
7d1f3a5f741d7eed069cf36ec029e59049ce1be1 subversion-1.3.0.zip

Regards,


#2

Hi,

On 1/2/06, Kouhei S. removed_email_address@domain.invalid wrote:

All functions of Subversion can be used with Ruby from this
release.

This is great kou, thanks for all your hard work!
I might be interested in starting to document the bindings, (rdoc)
diffs goes to the subversion bug tracker?

For what’s it worth, the Collaboa (http://collaboa.org) trunk works
with this release.

Cheers,
JS


#3

On Jan 2, 2006, at 4:08 AM, Kouhei S. wrote:

Known bugs and memory management problem will be fixed in

1.4.x. They are already fixed in trunk.

Hi,

If these issues are addressed already in trunk, why won’t they be
part of a 1.3.x release?

Curious,
Craig


#4

Hi,

In removed_email_address@domain.invalid
“Re: [ANN] Subversion 1.3.0 released.” on Mon, 2 Jan 2006 22:08:15
+0900,
Johan Sörensen removed_email_address@domain.invalid wrote:

I might be interested in starting to document the bindings, (rdoc)
diffs goes to the subversion bug tracker?

Very thank you, Johan!
You have a choice of the subversion bug tracker or svn-dev
mailing list. I’ll be waiting you there.

I prefer to svn-dev mailing list. :slight_smile:

For what’s it worth, the Collaboa (http://collaboa.org) trunk works
with this release.

Good job, Johan!

Regards,


#5

Hi,

In removed_email_address@domain.invalid
“Re: [ANN] Subversion 1.3.0 released.” on Tue, 3 Jan 2006 00:39:34
+0900,
Craig D. removed_email_address@domain.invalid wrote:

Known bugs and memory management problem will be fixed in

1.4.x. They are already fixed in trunk.

If these issues are addressed already in trunk, why won’t they be
part of a 1.3.x release?

They will be fixed in 1.3.x, if other subversion committer
approves them. I’ll try some submits but I can’t promise you
that they are fixed in 1.3.x.

But I can promise you that they are fixed in 1.4.x. Because
1.4.x will be branched from current trunk.

Thanks,


#6

Kouhei S. removed_email_address@domain.invalid wrote:

Subversion 1.3.0 is released:
http://subversion.tigris.org/servlets/ReadMsg?list=users&msgNo=42941

All functions of Subversion can be used with Ruby from this
release.

To clarify, do the Ruby svn bindings always require the same specific
SVN version, or can I build the bindings in 1.3.0 (1.4.x? trunk?) but
also use them without problems with older (1.2.x?) versions?

tnx,
Martin


#7

Hi,

In 43f9ba4a$0$8024$removed_email_address@domain.invalid
“Re: [ANN] Subversion 1.3.0 released.” on Mon, 20 Feb 2006 21:48:30
+0900,
Martin P. removed_email_address@domain.invalid wrote:

Kouhei S. removed_email_address@domain.invalid wrote:

Subversion 1.3.0 is released:
http://subversion.tigris.org/servlets/ReadMsg?list=users&msgNo=42941

All functions of Subversion can be used with Ruby from this
release.

To clarify, do the Ruby svn bindings always require the same specific
SVN version, or can I build the bindings in 1.3.0 (1.4.x? trunk?) but
also use them without problems with older (1.2.x?) versions?

I recommend you to use same specific SVN version. But I
think that you can build the bindings in 1.3.0 or higher
version if you re-generate wrapper codes by SWIG.

Anyway, I can’t promise you because I haven’t done. :<

Thanks,